#
# spec file for package kpl (Version 3.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kpl
BuildRequires:  kdelibs3-devel
License:        GPLv2+
Group:          Productivity/Graphics/Visualization/Graph
Summary:        A Program for Graphically Presenting Data Sets and Functions
Version:        3.3
Release:        lp150.255.1
Source0:        kpl-%version.tar.bz2
Url:            http://frsl06.physik.uni-freiburg.de/privat/stille/kpl
Patch:          %name.diff
Patch1:         fix-desktop-file.diff
Patch2:         gcc-45.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kpl is a program for presenting two-dimensional graphical data sets and
functions.

All settings necessary for a complete description of the presentation
can be saved in plot files. These files as well as data files may be
chosen via command line parameters, using the File menu, or by drag and
drop.

Automatic scaling and normalization allow the easy graphical
presentation of data.

Presentation settings  may be changed using the Edit menu. Additional
data sets and functions can be included, which can be displayed in the
same and different data windows.



Authors:
--------
    Werner Stille   <stille@uni-freiburg.de>

%prep
%setup 
%patch
%patch1
%patch2
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%if %suse_version < 1010
%suse_update_desktop_file kpl Math
%else
%suse_update_desktop_file -G "Plotting Tool" kpl Graphics 2DGraphics
%endif
%find_lang %name
rm -rf $RPM_BUILD_ROOT/opt/kde3/include

%files -f %name.lang
%defattr(-,root,root)
%doc TODO INSTALL ChangeLog COPYING AUTHORS README 
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/kpl
/opt/kde3/share/icons/*
/opt/kde3/share/mimelnk/application/x-plo.desktop

%changelog
* Mon Feb 15 2010 llunak@novell.com
- fix build with gcc-4.5
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue May 30 2006 adrian@suse.de
- fix build for < 10.1
* Wed Feb 15 2006 stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  2 2006 stbinner@suse.de
- update to version 3.3
* Sun Oct  2 2005 stbinner@suse.de
- add GenericName to .desktop file
* Thu Feb 17 2005 adrian@suse.de
- update to version 3.2
- menu entry moved to xdg dir
* Fri Jan  7 2005 coolo@suse.de
- fix Makefiles
* Sat Jan 10 2004 adrian@suse.de
- remove unneeded header fil
* Tue Jul 29 2003 adrian@suse.de
- fix typo
* Tue Jul 29 2003 adrian@suse.de
- add Categories
* Thu Jun 12 2003 coolo@suse.de
- use %%find_lang
* Thu Apr  3 2003 adrian@suse.de
- update to 3.1
* Mon Nov 11 2002 coolo@suse.de
- update to 3.0
* Thu May 23 2002 adrian@suse.de
- use update_admin
* Sun Apr 14 2002 coolo@suse.de
- fix for gcc 3.1
* Sun Apr  7 2002 ro@suse.de
- fix for current automake
* Mon Nov 12 2001 ro@suse.de
- fixed for automake 1.5
* Fri Nov  9 2001 adrian@suse.de
- use kde2-devel-packages
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug  7 2001 adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul  3 2001 adrian@suse.de
- autoconf 2.50 fixes
* Sun Jun 17 2001 adrian@suse.de
- New version 2.2
* Tue Mar 27 2001 ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar  1 2001 ro@suse.de
- added fam to neededforbuild
* Sat Feb  3 2001 adrian@suse.de
- New version 2.1.1
* Mon Dec  4 2000 adrian@suse.de
- fixed neededforbuild
* Fri Nov 17 2000 ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov  8 2000 ro@suse.de
- neededforbuild libmng
* Fri Sep 22 2000 adrian@suse.de
- New version 1.2 for KDE 2
* Mon Sep 18 2000 adrian@suse.de
- New version 1.2
* Mon May 29 2000 adrian@suse.de
- New version 1.1
* Sun May 28 2000 adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 @suse.de
- Spec file created from kpl-1.0.tar.gz by autospec
* Fri May 26 2000 adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 adrian@suse.de
- Spec file created from kpl-1.0.tar.gz by autospec
* Thu Mar 16 2000 adrian@suse.de
- New version 1.0
* Fri Jan 14 2000 kettner@suse.de
- New version 0.4
* Tue Oct 19 1999 kettner@suse.de
- New version 0.3
* Fri Sep 17 1999 kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  2 1999 kettner@suse.de
- New version 0.2
* Tue Apr 27 1999 kettner@suse.de
- Spec file created from kpl-0.1.tar.gz by autospec
